Bug 1273882 - Review Request: nodejs-brace-expansion - Brace expansion as known from sh/bash
Review Request: nodejs-brace-expansion - Brace expansion as known from sh/bash
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On: 1273874 1273880
Blocks: nodejs-reviews Node-RED 1044425
  Show dependency treegraph
 
Reported: 2015-10-21 08:46 EDT by Jared Smith
Modified: 2016-10-21 04:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-27 16:43:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
piotr1212: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-10-21 08:46:41 EDT
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-brace-expansion/nodejs-brace-expansion.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-brace-expansion/nodejs-brace-expansion-1.1.1-1.fc23.src.rpm
Description: Brace expansion as known from sh/bash
Fedora Account System Username: jsmith
Comment 1 Jared Smith 2015-12-15 15:29:31 EST
I think all of the dependencies are now in Rawhide, so that this package can be formally reviewed.
Comment 2 Piotr Popieluch 2015-12-17 03:59:06 EST
This needs to be updated to 1.1.2
Comment 4 Piotr Popieluch 2015-12-17 09:30:06 EST
Don't install example.js in nodejs_sitelib but in %doc

Add README.md to %license https://lists.fedoraproject.org/archives/list/packaging%40lists.fedoraproject.org/thread/7AZ6YYIGRC53E4S3KHJLDOUCNTAGSXEV/

Installation fails, nodejs-balanced-match must be updated to newer version


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 17 files have unknown license. Detailed
     output of licensecheck in /home/piotr/rpmbuild/1273882-nodejs-brace-
     expansion/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/piotr/rpmbuild/1273882-nodejs-brace-expansion/results/nodejs-brace-expansion-1.1.2-1.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/piotr/rpmbuild/1273882-nodejs-brace-expansion/results/nodejs-brace-expansion-1.1.2-1.fc24.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: nodejs-brace-expansion-1.1.2-1.fc24.noarch.rpm
          nodejs-brace-expansion-1.1.2-1.fc24.src.rpm
nodejs-brace-expansion.noarch: W: only-non-binary-in-usr-lib
nodejs-brace-expansion.noarch: W: dangling-symlink /usr/lib/node_modules/brace-expansion/node_modules/concat-map /usr/lib/node_modules/concat-map
nodejs-brace-expansion.noarch: W: dangling-symlink /usr/lib/node_modules/brace-expansion/node_modules/balanced-match /usr/lib/node_modules/balanced-match
nodejs-brace-expansion.src: W: invalid-url Source1: tests-1.1.2.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Requires
--------
nodejs-brace-expansion (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(balanced-match)
    npm(concat-map)



Provides
--------
nodejs-brace-expansion:
    nodejs-brace-expansion
    npm(brace-expansion)



Source checksums
----------------
https://registry.npmjs.org/brace-expansion/-/brace-expansion-1.1.2.tgz :
  CHECKSUM(SHA256) this package     : a6b2ef14f20ea5baf8e26492468656d1124cf6e7ed4db5c2e9403bb562c91ec7
  CHECKSUM(SHA256) upstream package : a6b2ef14f20ea5baf8e26492468656d1124cf6e7ed4db5c2e9403bb562c91ec7


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1273882
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Piotr Popieluch 2015-12-17 09:36:37 EST
ive updated nodejs-balanced-match in rawhide. Approving as other issues are minor ones but please fix before uploading.
Comment 6 Gwyn Ciesla 2015-12-18 07:08:34 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-brace-expansion
Comment 7 Piotr Popieluch 2015-12-31 07:54:29 EST
built in rawhide
Comment 8 Piotr Popieluch 2016-05-27 16:43:28 EDT
in f24, closing

Note You need to log in before you can comment on or make changes to this bug.